<?php

/**
 * @TODO: Create a dummy class 'better_exposed_filters_exposed_form_plugin'
 * to allow our plugin to work both with and without the better_exposed_filters plugin
 * For now, the module depends on better_exposed_filters
 */
if (!class_exists('better_exposed_filters_exposed_form_plugin')) {
  //class better_exposed_filters_exposed_form_plugin extends views_plugin_exposed_form_basic { }
}

class views_expost_exposed_form_plugin extends better_exposed_filters_exposed_form_plugin {

  function init(&$view, &$display, $options = array()) {
    parent::init($view, $display, $options);
    $this->view->set_exposed_input($_POST + $_GET);
  }

  function summary_title() {
    return t('Settings');
  }

  function option_definition() {
    $options = parent::option_definition();
    $options['form_method'] = array('default' => 'get');
    return $options;
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    $form['form_method'] = array(
      '#type' => 'select',
      '#title' => t('Form Method (Advanced)'),
      '#description' => t('If the URL produced by the exposed filters form might exceed the URL length limit, you can switch to use POST as the method for the form.'),
      '#default_value' => $this->options['form_method'],
      '#options' => array('get' => 'GET ' . t('(Recommended)'), 'post' => 'POST'),
    );
  }

  /*
   * Tweak the exposed filter form to show Better Exposed Filter options.
   */
  function exposed_form_alter(&$form, &$form_state) {
    parent::exposed_form_alter($form, $form_state);

    $form['#attributes']['method'] = $this->options['form_method'];
    //$form_state['method'] = $this->options['form_method'];


    //$form_state['input'] = $this->view->get_exposed_input();

  } // function exposed_form_alter(...)
}
